Subject: Re: Considering teaching plumbing to users harmful

From: Jesper Eskilson <[email-masked]>
Date: Wed, 16 Jul 2008 20:19:26 +0200

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 16 Jul 2008, Jesper Eskilson wrote:
> 
>> Johannes Schindelin wrote:
>>
>>> Now, it makes me really, really sad that Git has a reputation of being 
>>> complicated, but I regularly hear from _my_ users that they do not 
>>> understand how that came about.
>> Well, Git is not the easiest tool on the market to learn. For people 
>> used to centralized systems such as RCS/CVS/Subversion, many concepts 
>> are truly alien. I've recently experienced a transition at our company 
>> from MKS/SI (a RCS derivative) to Subversion, and the mental gap was for 
>> many users HUGE. Had we done the transition from MKS/SI to Git, I'm sure
>>  several user's brains would have exploded.
>>
>> From my perspective, the concept I found most difficult to grasp at the 
>> very beginning was how the index worked, and many of the introductory 
>> texts on Git that I looked through only very brielfy explained the 
>> purpose of the index: Why is it there? Why is it called "index"? How 
>> does it fit into a typical workflow? Having a CVS/Subversion background, 
>> it took a while for me to really assimilate the concept.
> 
> What does your answer have to do with my mail, i.e. with plumbing?

Nothing, really. I just wanted to comment on your note on Git having a 
reputation being complicated.

-- 
/Jesper